# Interface KeyExportOptions<T>

interface KeyExportOptions<T> {
cipher?: string;
format: T;
passphrase?: string | Buffer;
type: "pkcs1" | "spki" | "pkcs8" | "sec1";
}

#### Type Parameters

- T extends KeyFormat

- Defined in node_modules/@types/node/crypto.d.ts:503

#####
Index

### Properties

cipher?
format
passphrase?
type

## Properties

### `Optional` cipher

cipher?: string

- Defined in node_modules/@types/node/crypto.d.ts:506

### format

format: T

- Defined in node_modules/@types/node/crypto.d.ts:505

### `Optional` passphrase

passphrase?: string | Buffer

- Defined in node_modules/@types/node/crypto.d.ts:507

### type

type: "pkcs1" | "spki" | "pkcs8" | "sec1"

- Defined in node_modules/@types/node/crypto.d.ts:504